### Class

# Ggit CredSshInteractive

#### Description [src]

    class Ggit.CredSshInteractive : Ggit.Cred
      implements Gio.Initable {
      /* No available fields */
    }

Represents a ssh interactive credential.

#### Ancestors

- GgitCred
- GgitNative
- GgitObjectFactoryBase
- GObject

#### Implements

- GInitable

#### Constructors

###### ggit_cred_ssh_interactive_new

No description available.

#### Instance methods

###### ggit_cred_ssh_interactive_get_username

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### Ggit.CredSshInteractive:username

No description available.

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitCredSshInteractiveClass {
      void (* prompt) (
        GgitCredSshInteractive* cred,
        GgitCredSshInteractivePrompt** prompts,
        gsize num_prompts
      );

    }

No description available.

###### Class members

`prompt: void (* prompt) ( GgitCredSshInteractive* cred, GgitCredSshInteractivePrompt** prompts, gsize num_prompts )`

  No description available.

#### Virtual methods

###### Ggit.CredSshInteractiveClass.prompt

No description available.